﻿/**
Windowsエラー

とりあえずErr構造体が何とかしてくれる。

Bugs:
	NeGuiに統合すべき。

History:
	1.00β20:
		[S] package, module, その他色々変更。
*/
module nemuxi.negui.system.error;

debug(error) void main() {}

import std.windows.syserror;

import win32.windows;

//import nemuxi.base;
//import nemuxi.system.text;
import nemuxi.negui.system.text;

/// エラー表示のためのnamespaceっぽいの。
static struct ERROR {
static:
	/// エラーコード設定。
	void code(DWORD ErrCode) {
		SetLastError(ErrCode);
	}
	/// エラーコード取得。
	DWORD code() {
		return GetLastError();
	}
	/// エラーコード初期化。
	void initialize() {
		code(NO_ERROR);
	}
	deprecated alias initialize init;
	/// エラー文字列を取得。
	Text text(DWORD code=code()) {
		return toString(code).toText;
	}
	/// ditto
	string toString(DWORD code=code()) {
		auto s=sysErrorString(code);
		return s;
	}
}
alias ERROR Err;


